Subject: Re: bug#57798: 29.0.50; M-x sql-postgres conflates initial input from M-x sql-sqlite

From: Jean Louis <[email-masked]>
Date: Thu, 15 Sep 2022 10:33:21 +0300

* Lars Ingebrigtsen <[email-masked]> [2022-09-14 16:08]:
> Jean Louis <[email-masked]> writes:
> 
> > I had a long running session of M-x sql-postgres
> >
> > During the session I have initiated M-x sql-sqlite and worked with
> > database.
> >
> > Then I have exited from PostgreSQL session
> >
> > Then I have tried invoking M-x sql-postgres again.
> 
> Are you running sql-postgres and sql-sqlite in the same buffer?

They use different buffers. Problem is in the default initial input of
"Database: " prompt.

It makes no sense that after invoking {M-x sql-sqlite RET} the
subsequent invocation of {C-u M-x sql-postgres RET} has default
initial input in the "Database: " prompt, something like this:

/home/data1/protected/tmp/business

Because PostgreSQL databases are not file names.

I hope that now it is clear how it comes to conflation of initial
input. Subject is not clear enough.

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/